#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private itcSessionHighLow[] cacheitcSessionHighLow;

		
		public itcSessionHighLow itcSessionHighLow(string softwareDescription, string machineAccount, string softwareActivationKey)
		{
			return itcSessionHighLow(Input, softwareDescription, machineAccount, softwareActivationKey);
		}


		
		public itcSessionHighLow itcSessionHighLow(ISeries<double> input, string softwareDescription, string machineAccount, string softwareActivationKey)
		{
			if (cacheitcSessionHighLow != null)
				for (int idx = 0; idx < cacheitcSessionHighLow.Length; idx++)
					if (cacheitcSessionHighLow[idx].SoftwareDescription == softwareDescription && cacheitcSessionHighLow[idx].MachineAccount == machineAccount && cacheitcSessionHighLow[idx].SoftwareActivationKey == softwareActivationKey && cacheitcSessionHighLow[idx].EqualsInput(input))
						return cacheitcSessionHighLow[idx];
			return CacheIndicator<itcSessionHighLow>(new itcSessionHighLow(){ SoftwareDescription = softwareDescription, MachineAccount = machineAccount, SoftwareActivationKey = softwareActivationKey }, input, ref cacheitcSessionHighLow);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.itcSessionHighLow itcSessionHighLow(string softwareDescription, string machineAccount, string softwareActivationKey)
		{
			return indicator.itcSessionHighLow(Input, softwareDescription, machineAccount, softwareActivationKey);
		}


		
		public Indicators.itcSessionHighLow itcSessionHighLow(ISeries<double> input , string softwareDescription, string machineAccount, string softwareActivationKey)
		{
			return indicator.itcSessionHighLow(input, softwareDescription, machineAccount, softwareActivationKey);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.itcSessionHighLow itcSessionHighLow(string softwareDescription, string machineAccount, string softwareActivationKey)
		{
			return indicator.itcSessionHighLow(Input, softwareDescription, machineAccount, softwareActivationKey);
		}


		
		public Indicators.itcSessionHighLow itcSessionHighLow(ISeries<double> input , string softwareDescription, string machineAccount, string softwareActivationKey)
		{
			return indicator.itcSessionHighLow(input, softwareDescription, machineAccount, softwareActivationKey);
		}

	}
}

#endregion
